
/* written by Joe Freeman of NeXT Computer Inc.
 *	Version 2
 *	As with all my code, use at your own risk
 *
 *
 * MMCell.[hm]
 *	Cell used by the multi media text object to implement file attachments
 *
 * Notes:
 *	1)	This object generates attachments similar to mail.
 *		The format is identical ... see note in MMText for
 *		incompatible explanations
 *
 * Text objects expect the embeded graphic objects to implement
 *	highlight:inView:lit:
 *	drawSelf:inView:
 *	trackMouse:inRect:ofView:
 *	calcCellSize:
 *	readRichText:forView:
 *	writeRichText:forView:
 *
 */


/* Generated by Interface Builder */

#import <appkit/Cell.h>

@interface MMCell:Cell
{
	id theImage;
	char saveName[80];
	int  copyFlag;
}

/*==================================================
 *
 *
 *==================================================*/
 
- initFromFile: (const char *)filename copy:(BOOL)flag;
- initFromFile: (const char *)filename requestedByView: aView; 
					/* assume no copy  */
- free;

/*==================================================
 *
 *
 *==================================================*/
 
- calcCellSize:(NXSize *)theSize;
- highlight:(const NXRect *)cellFrame inView:controlView lit:(BOOL)flag;
- (BOOL)trackMouse:(NXEvent *)theEvent 
	inRect:(const NXRect *)cellFrame 
	ofView:controlView;

/*==================================================
 *
 *
 *==================================================*/
 
- write:(NXTypedStream *)stream;
- read:(NXTypedStream *)stream;

- writeRichText:(NXStream *)stream forView:view;
- readPrivate:(NXStream *)stream name:(char *)name;
- readRichText:(NXStream *)stream forView:view;


/*==================================================
 *
 *
 *==================================================*/
 
- drawInside: (const NXRect *)cellFrame inView:controlView;


@end
