
/* written by Joe Freeman of NeXT Computer Inc.
 *	Version 2
 *	As with all my code, use at your own risk
 *
 *
 * MMGraphicCell.[hm]
 *	Cell used by the multi media text object to implement multimedia text
 *
 * Notes:
 *	1)	This object generates embeded RTF similar to Edit.  This
 *		format is different from the rtf format used by mail.
 *		Mail does not put the height and width operators in the stream
 *
 * Text objects expect the embeded graphic objects to implement
 *	highlight:inView:lit:
 *	drawSelf:inView:
 *	trackMouse:inRect:ofView:
 *	calcCellSize:
 *	readRichText:forView:
 *	writeRichText:forView:
 *
 */


/* Generated by Interface Builder */

#import "MMCell.h"

@interface MMGraphicCell:MMCell
{
}


 
- initFromFile: (const char *)filename copy:(BOOL)flag;
- initFromFile: (const char *)filename requestedByView: aView; 
					/* as view if we should copy */
- initFromStream:(NXStream *)aStream copy:(BOOL)flag;
- writeRichText:(NXStream *)stream forView:view;

@end
