
/* written by Joe Freeman from Next Computer Inc
 *	Version 2
 *	As with all my code, use at your own risk
 *
 *
 * Notes:
 *	1)	This objects is very similar to the text object used by Edit
 *		and the one used by Mail, supporting both graphics and attach
 *		
 *		Mail supports embeded graphics in a different format from Edit
 *		with Edit adding height and width parameters to the RTF.
 *
 *		Mail supports attachments using the "attachment" command
 *		that is not supported in edit in Edit.
 *
 *		This program will not interchange attachments with Mail 
 *		because using the "attachment" command in this objec will let
 *		attachments be copied out of this object and into mail but then
 *		no attachments can be pasted or loaded back in from an rtf 
 *		stream.  The use of "attach" means this object works fine but
 *		all attachment interchange with mail is lost.
 *
 *
 * MMText.[hm]
 *	Multi media text object!
 *
 *	1)	Handles embeded graphics in rtf
 *	2)	Saves and loads from rtfd files
 *	3)	Suports "drag and drop" of tiff and eps files
 *	4)	Supports copy and paste of rtf with embedded graphics
 *	5)	Has methods for open: and saveAs: to simplify programming
 */
 
/* Generated by Interface Builder */

#import <appkit/Text.h>

@interface MMText:Text
{
	char *	iconPathList;
	char *	rtfdName;
	BOOL	copyGraphics;		/* default is yes */
	BOOL	copyAttachments;	/* default is NO */
	id	privateListener;
}

- initFrame:(NXRect *)r;
- free;

/*==================================================
 *
 *
 *==================================================*/
 
- (int)iconEntered:(int)windowNum at:(double)x :(double)y
    iconWindow:(int)iconWindowNum iconX:(double)iconX iconY:(double)iconY
    iconWidth:(double)iconWidth iconHeight:(double)iconHeight
    pathList:(char *)pathList;
- (int)iconReleasedAt:(double)x :(double)y ok:(int *)flag;

/*==================================================
 *
 *
 *==================================================*/
 
- write:(NXTypedStream *)stream;
- read:(NXTypedStream *)stream;


/*==================================================
 *
 *
 *==================================================*/
 
- becomeFirstResponder;
- (const char *)filename;
- (BOOL)copyGraphics;
- (BOOL)copyAttachments;
- setCopyGraphics:sender;
- setLinkGraphics:sender;
- setCopyAttachments:sender;
- setLinkAttachments:sender;

/*==================================================
 *
 *	overriden to set stream instance variable 
 *
 *==================================================*/
 
- paste:sender;

/*==================================================
 *
 *
 *==================================================*/
 
- openFileName:(char *)aFile;
- open:sender;
- saveFileName:(char *)aFile;
- saveAs:sender;
- save:sender;

@end
